Bug 1873303 - Test Flake: is displayed when CR exists
Summary: Test Flake: is displayed when CR exists
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: David Taylor
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 19:45 UTC by Samuel Padgett
Modified: 2020-09-07 03:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-08-02-134243 Cluster ID: 34173625-2d1f-47f0-b03c-c85fd24db341 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:81.0) Gecko/20100101 Firefox/81.0
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6468 None closed Bug 1873303: fix integration test flake where launcher card isn't yet… 2020-09-07 03:15:49 UTC
Github openshift console pull 6488 None closed Bug 1873303: Protractor - added wait for Launcher Card to not initially exist, then is displayed when CR exists 2020-09-07 03:15:48 UTC

Comment 1 David Eads 2020-08-28 13:04:03 UTC
link for sippy

Project Dashboard.Launcher Card.is displayed when CR exists

Comment 4 Samuel Padgett 2020-08-31 18:59:17 UTC
Moving back to assigned. We don't expect this to be fixed yet.

Comment 6 Samuel Padgett 2020-09-01 13:57:29 UTC
Unfortunately `await` doesn't work there. I think `await` will block until the element is present, which isn't what we want.

I think the issue is that the `isPresent` check is happening asynchronously. Sometimes the `createResource` call on the next line completes before the `isPresent` check finishes.

Comment 8 Yanping Zhang 2020-09-07 03:35:54 UTC
https://search.ci.openshift.org/?search=is+displayed+when+CR+exists&maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job
Searched ci jobs, after the fix pr is merged, the " is displayed when CR exists " scenario always pass now.


Note You need to log in before you can comment on or make changes to this bug.